Package org.optaplanner.core.impl.score.stream.drools

## Class DroolsConstraintSessionFactory<Solution_,​Score_ extends Score<Score_>>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.DroolsConstraintSessionFactory<Solution_,​Score_>

-     public final class DroolsConstraintSessionFactory<Solution_,​Score_ extends Score<Score_>>
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DroolsConstraintSessionFactory.KieBaseCache<Solution_,​Score_ extends Score<Score_>>` |
    `static class` | `DroolsConstraintSessionFactory.SessionDescriptor<Score_ extends Score<Score_>>` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DroolsConstraintSessionFactory​(SolutionDescriptor<Solution_> solutionDescriptor, DroolsConstraintFactory<Solution_> constraintFactory, boolean droolsAlphaNetworkCompilationEnabled, Constraint... constraints)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DroolsConstraintSessionFactory.SessionDescriptor<Score_>` | `buildSession​(boolean constraintMatchEnabled, Solution_ workingSolution)` |
    `boolean` | `isDroolsAlphaNetworkCompilationEnabled()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsConstraintSessionFactory

          public DroolsConstraintSessionFactory​(SolutionDescriptor<Solution_> solutionDescriptor,
                                                DroolsConstraintFactory<Solution_> constraintFactory,
                                                boolean droolsAlphaNetworkCompilationEnabled,
                                                Constraint... constraints)

  - ### Method Detail

    - #### isDroolsAlphaNetworkCompilationEnabled

          public boolean isDroolsAlphaNetworkCompilationEnabled()

    - #### buildSession

          public DroolsConstraintSessionFactory.SessionDescriptor<Score_> buildSession​(boolean constraintMatchEnabled,
                                                                                       Solution_ workingSolution)